// JSON REQUESTS

Json::Value getVotes() {
    auto jsonObj = Json::Object();
    jsonObj["map"] = getMapUid();
    jsonObj["http"] = "GET";
    jsonObj["url"] = "getVotes?map="+getMapUid();
    return jsonObj;
}

Json::Value getPlayerVote() {
    auto jsonObj = Json::Object();
    jsonObj["map"] = getMapUid();
    jsonObj["http"] = "GET";
    jsonObj["url"] = "getPlayerVote?map="+getMapUid()+"&player="+getLogin();
    return jsonObj;
}

Json::Value setVote(int vote) {
    auto jsonObj = Json::Object();
    jsonObj["map"] = getMapUid();
    jsonObj["http"] = "POST";
    jsonObj["player"] = getLogin();
    jsonObj["vote"] = vote;
    return jsonObj;
}

